Last Comment Bug 804641 - Work around Android armv6 compiler bug (again)
: Work around Android armv6 compiler bug (again)
Status: RESOLVED FIXED
: qawanted
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: unspecified
: ARM Android
: -- major (vote)
: mozilla19
Assigned To: Mats Palmgren (:mats)
: Kevin Brosnan [:kbrosnan]
Mentors:
Depends on: 826411
Blocks: 790624
  Show dependency treegraph
 
Reported: 2012-10-23 09:53 PDT by Mats Palmgren (:mats)
Modified: 2014-01-10 10:42 PST (History)
3 users (show)
mats: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
fixed


Attachments
workaround (2.70 KB, patch)
2012-10-23 10:26 PDT, Mats Palmgren (:mats)
roc: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review
wdiff of the same (2.19 KB, patch)
2012-10-23 10:26 PDT, Mats Palmgren (:mats)
no flags Details | Diff | Splinter Review

Description Mats Palmgren (:mats) 2012-10-23 09:53:11 PDT
Work around Android armv6 compiler bug 790624.
"Again" because this was apparently worked around once before in
bug 642205 but it seems it's broken slightly differently on armv6.
Comment 1 Mats Palmgren (:mats) 2012-10-23 10:26:15 PDT
Created attachment 674274 [details] [diff] [review]
workaround

This is a (new) workaround for the *compiler bug* in bug 790624.
It fixes the testcase attached in that bug in my local armv6 build.

I've pushed this from my Aurora tree to Try, not sure if that works:
https://tbpl.mozilla.org/?tree=Try&rev=cec60db1e750
Comment 2 Mats Palmgren (:mats) 2012-10-23 10:26:51 PDT
Created attachment 674276 [details] [diff] [review]
wdiff of the same
Comment 3 Mats Palmgren (:mats) 2012-10-23 12:38:57 PDT
> I've pushed this from my Aurora tree to Try, not sure if that works

Apparently not.  Here's a mozilla-central Try push instead:
https://tbpl.mozilla.org/?tree=Try&rev=6882a3e70091
Comment 5 Mats Palmgren (:mats) 2012-10-23 16:46:28 PDT
Comment on attachment 674274 [details] [diff] [review]
workaround

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 
User impact if declined: potential layout errors involving scrollable elements
Testing completed (on m-c, etc.): tested in local armv6 Android Firefox
Risk to taking this patch (and alternatives if risky): very low risk, it's just reshuffling the code a bit to avoid a compiler bug, there's no functional change
String or UUID changes made by this patch: none


This bug was spawned from bug 790624 which has tracking-firefox17+.
I don't know if it's needed for beta, please mark it beta- if not.
Comment 6 Mats Palmgren (:mats) 2012-10-23 17:39:22 PDT
Silly me, 17 is in beta now... so, yeah, definitely needed there.
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-10-24 11:19:37 PDT
https://hg.mozilla.org/mozilla-central/rev/332a8a91de0a
Comment 9 Mats Palmgren (:mats) 2012-10-24 20:01:06 PDT
QA: please also check if any of the other tests in bug 791103 was fixed by this.
Comment 10 Tracy Walker [:tracy] 2014-01-10 10:42:44 PST
mass remove verifyme requests greater than 4 months old

Note You need to log in before you can comment on or make changes to this bug.